﻿:root {
	/* Colores de botones de envío */
	--color-button-send-secondary-background: #084044;
	/* Colores de estados interactivos (botones UI, estados hover/default/active) */
	--color-interactive-default-background: #9DC45F;
	--color-interactive-active-background: #80A24A;
	--color-interactive-border: #8a9561;
	/* Colores de texto */
	--color-text-on-interactive: #ffffff;
	--color-text-widget: #797979;
	--color-text-hidden: transparent;
	/* Colores de superficies y fondos de widgets */
	--color-surface-widget-content: #f0f0f0;
	--color-surface-widget-header: #F1F1F1;
	/* Colores de bordes */
	--color-border-widget-and-active: #d5d5d5;
	/* Colores de overlay */
	--color-overlay-modal-background: #2b2922;
}

#slick input.send {
	background: var(--color-button-send-primary-background);
	padding: 1rem 4rem;
	margin: 0 auto;
}

input.send-2 {
	background-color: var(--color-button-send-secondary-background);
	padding: 1rem 4rem;
	margin: 0 auto;
	display: inline-block;
	text-align: center;
	font-size: 14px;
	font-weight: bold;
	color: var(--color-text-on-interactive);
	width: auto;
	border: none;
	outline: none;
}


html * {
	font-size: 12px;
}




button, button:hover, .blue_button {
	font-weight: bold !important;
}






.ui-widget-overlay {
	background: var(--color-overlay-modal-background) url(images/ui-bg_inset-soft_15_2b2922_1x100.png) 50% bottom repeat-x;
	opacity: .40;
	filter: Alpha(Opacity = 40);
}

.ui-widget-overlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 9996;
}

.ui-widget-content {
	color: var(--color-text-widget);
}

.ui-dialog {
	z-index: 9996;
	padding: .2em;
}

	.ui-dialog .ui-dialog-titlebar {
		padding: .4em 1em;
		position: relative;
	}

	.ui-dialog .ui-dialog-titlebar-close {
		position: absolute;
		right: .3em;
		top: 50%;
		width: 19px;
		margin: -10px 0 0 0;
		padding: 1px;
		height: 18px;
		color: var(--color-text-hidden);
	}

	.ui-dialog .ui-dialog-content {
		position: relative;
		border: 0;
		min-height: 0 !important;
		padding: .5em 1em;
		background: none;
		overflow: visible;
		zoom: 1;
	}

	.ui-dialog .ui-dialog-buttonpane {
		text-align: left;
		border-width: 1px 0 0 0;
		background-image: none;
		margin: .5em 0 0 0;
		padding: .3em 1em .5em .4em;
	}

		.ui-dialog .ui-dialog-buttonpane .ui-dialog-buttonset {
			float: right;
		}

		.ui-dialog .ui-dialog-buttonpane button {
			margin: .5em .4em .5em 0 !important;
			cursor: pointer;
		}

button, button:hover, .blue_button {
	font-weight: bold !important;
}

.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover, .ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus, .ui-button:hover, .ui-button:focus {
	background: var(--color-interactive-default-background);
}

.ui-widget-header {
	border: none; /*Propiedad agregada para evitar los bordes que aparecen en las tablas, sin embargo, esta clase es utilizada en otros componentes, verificar que no afecte.*/
	background: none;
	color: var(--font-name-example);
	font-weight: bold;
}

.ui-dialog {
	display: flex;
	flex-direction: column;
	min-width: min-content !important; /*Se agrega la propiedad min-width porque el contenido de los dialogs se desborda en comparación al ancho del dialog*/
}

	.ui-dialog .ui-dialog-titlebar {
		min-height: 18px;
		padding: .4em 0;
	}

		.ui-dialog .ui-dialog-titlebar .ui-icon-closethick {
			left: 0;
		}

		.ui-dialog .ui-dialog-titlebar .ui-dialog-title {
			padding: 0 1em;
			padding-left: 0;
			position: relative;
			top: 3px;
		}

	.ui-dialog .ui-dialog-titlebar {
		width: calc(100% - 3px) !important;
	}

	.ui-dialog .ui-dialog-buttonset button {
		color: var(--color-text-on-interactive);
		padding: .4em 1em !important;
	}

.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
	border: 1px solid var(--color-interactive-border);
	background-color: var(--color-interactive-default-background);
	font-weight: bold;
	color: var(--color-text-on-interactive) !important; /*Se coloca el important porque un estilo del dataTables está sobreescribiendo el valor y necesita ser color blanco para los botones de paginación de las tablas*/
}

.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active {
	border: 1px solid var(--color-border-widget-and-active);
	background-color: var(--color-interactive-active-background);
	font-weight: bold;
	color: var(--color-text-on-interactive);
}

.ui-layout-container fieldset.ui-state-hover {
	background: var(--color-surface-widget-content) !important;
	background: linear-gradient(top, var(--color-text-on-interactive) 1%, var(--color-surface-widget-content) 100%) !important;
	background: -moz-linear-gradient(top, var(--color-text-on-interactive) 1%, var(--color-surface-widget-content) 100%) !important;
	background: -ms-linear-gradient(top, var(--color-text-on-interactive) 1%, var(--color-surface-widget-content) 100%) !important;
	background: -o-linear-gradient(top, var(--color-text-on-interactive) 1%, var(--color-surface-widget-content) 100%) !important;
	background: -webkit-gradient(linear, left top, left bottom, color-stop(1%, var(--color-text-on-interactive)), color-stop(100%, var(--color-surface-widget-content))) !important;
	background: -webkit-linear-gradient(top, var(--color-text-on-interactive) 1%, var(--color-surface-widget-content) 100%) !important;
}

.ui-button {
	display: inline-block;
	position: relative;
	padding: 0;
	padding-right: 1em !important;
	padding-bottom: 0 !important;
	padding-top: 0 !important;
	margin-right: 0.1em;
	text-decoration: none !important;
	cursor: pointer;
	text-align: center;
	zoom: 1;
	overflow: visible;
	display: inline-flex;
	border: 1px solid var(--color-interactive-border);
	background-color: var(--color-interactive-default-background);
	font-weight: bold !important;
	color: var(--color-text-on-interactive);
}


div[class="loading_wrapper loading"] {
	display: block !important
}

div[class="loading_screen loading"] {
	display: block !important;
}

.hidden {
	display: none !important;
}

.primary-button {
	background-color: var(--color-primary-background-1);
	color: var(--color-primary-letter-1) !important;
	border-color: var(--color-primary-border-1);
	outline: none;
	border-width: 1px;
	border-style: solid;
}
	.primary-button:hover, .primary-button:focus {
		text-decoration: none;
		color: var(--color-primary-letter-2);
		background-color: var(--color-primary-background-2);
		border-color: var(--color-primary-border-2);
	}
.tertiary-button {
	background-color: var(--color-tertiary-background-1);
	color: var(--color-tertiary-letter-1);
	border-color: var(--color-tertiary-border-1);
	outline: none;
	border-width: 1px;
	border-style: solid;
}
	.tertiary-button:hover {
		text-decoration: none;
		color: var(--color-tertiary-letter-2);
		background-color: var(--color-tertiary-background-2);
		border-color: var(--color-tertiary-border-2);
	}



.ui-dialog {
	display: flex;
	flex-direction: column;
	min-width: min-content !important; /*Se agrega la propiedad min-width porque el contenido de los dialogs se desborda en comparación al ancho del dialog*/
}



	.ui-dialog .ui-dialog-titlebar {
		min-height: 18px;
		padding: 20px;
		padding-left:10px;
		position: relative;
	}

	.ui-dialog .ui-dialog-titlebar .ui-icon-closethick {
		left: 0;
	}

	.ui-dialog .ui-dialog-titlebar .ui-dialog-title {
		position: relative;
		top: 3px;
		font-size: 20px;
		font-weight: normal;
		color: var(--header-overlay-text);
	}

.ui-dialog .ui-dialog-titlebar {
	width: 100% !important;
}

.ui-dialog .ui-dialog-buttonset button {
	padding: 0.6rem 1rem;
}

.ui-widget-content {
	border: none;
	color: var(--font-name-example);
	background: var(--color-page-background);
}
.ui-dialog .ui-dialog-titlebar-close {
	position: absolute;
	right: .3em;
	top: 30%;
	width: 19px;
	margin: -10px 0 0 0;
	padding: 1px;
	height: 18px;
	color: var(--alpha-black-0);
	outline: none;
	border-width: 0;
	border-style: solid;
	background-image: url(../../images/ui-icons_ffffff_256x240.png);
	background-position: -96px -128px;
	background-color: transparent;
}
.main-site-input {
	background: #fff;
	border: 1px solid var(--color-neutral-500);
	border-radius: 5px;
	box-shadow: inset 1px 1px 2px var(--color-neutral-200-d);
	color: var(--color-neutral-700);
	font-size: 12px;
	height: 27px;
	outline: 0;
	padding-left: 3px;
	webkit-box-shadow: inset 1px 1px 2px var(--color-neutral-200-d);
	width: 100%; /*Se coloca para arreglar el tamaño de los select en las variables de configuración*/
}


.noty_bar.noty_theme_default.noty_success {
	background-color: var(--color-success-background-1) !important;
	color: var(--color-success-letter-1) !important;
	border-color: var(--color-success-background-1) !important;
}

.noty_bar.noty_theme_default.noty_information {
	background-color: var(--color-warning-background) !important;
	border-color: var(--color-warning-background) !important;
	color: var(--color-warning-letter-1) !important;
}

.noty_bar.noty_theme_default.noty_error {
	background-color: var(--color-error-background-1) !important;
	color: var(--color-error-letter-1) !important;
	border-color: var(--color-error-background-1) !important;
}

div.noty_message > span.noty_text {
	font-size: 14px;
}

input[type="checkbox"] {
	accent-color: var(--color-secondary-background-2);
}
.color-font {
	color: var(--color-font);
}
.ui-dialog .ui-dialog-buttonset button {
	padding: 0.6rem 1rem;
}
.alerta {
	font-size: 12px;
	position: relative;
	padding: 0.75rem 1.25rem;
	margin-bottom: 1rem;
	border: 1px solid var(--alpha-black-0);
	border-radius: 0.25rem;
}

.alert-primary {
	font-size: 12px;
	color: var(--color-alert-primary-font);
	background-color: var(--color-alert-primary-background);
	border-color: var(--color-alert-primary-border);
	padding: 15px 10px;
	font-weight: normal;
}